org.gradle.platform.base

## Interface LibraryBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, Named
  All Known Subinterfaces:
    NativeLibraryBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec

      @Incubating
      public interface LibraryBinarySpec
      extends BinarySpec

  A binary produced from a ``LibrarySpec``.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LibrarySpec` | `getLibrary()` The library that this binary belongs to.

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getLibrary

          LibrarySpec getLibrary()

      The library that this binary belongs to.